Index: issm/branches/trunk-jpl-damage/externalpackages/octave/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/octave/install.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/octave/install.sh	(revision 12878)
@@ -2,29 +2,29 @@
 
 #Some cleanup
-version=3.6.1
-rm -rf src install octave-$version octave-$version.tar.gz
+rm -rf src install octave-3.6.2 
 mkdir install src
 
 #Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.py "http://issm.jpl.nasa.gov/files/externalpackages/octave-$version.tar.gz" "octave-$version.tar.gz"
+$ISSM_DIR/scripts/DownloadExternalPackage.py "http://issm.jpl.nasa.gov/files/externalpackages/octave-3.6.2.tar.gz" "octave-3.6.2.tar.gz"
 
 #Untar 
-tar -zxvf  octave-$version.tar.gz
+tar -zxvf  octave-3.6.2.tar.gz
 
 #Move octave into install directory
-mv octave-$version/* src
-rm -rf octave-$version
+mv octave-3.6.2/* src
+rm -rf octave-3.6.2
 
 #install
 cd src 
+./configure \
+ --prefix=$ISSM_DIR/externalpackages/octave/install \
+ --disable-readline
 
-exit
-make 
-
-#Compile 
-cd ../install
-mkdir lib
-cd lib
-cp ../../src/*.a .
-ln -s octave_LINUX.a octave.a
-ln -s octave_LINUX.a liboctave.a
+if [ -z $NUMCPUS ];
+then
+	make
+	make install
+else
+	make -j $NUMCPUS
+	make -j $NUMCPUS install
+fi
Index: issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-discover.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-discover.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-discover.sh	(revision 12878)
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install petsc-3.2-p3 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.2-p3.tar.gz' 'petsc-3.2-p3.tar.gz'
+
+#Untar and move petsc to install directory
+tar -zxvf  petsc-3.2-p3.tar.gz
+mv petsc-3.2-p3/* src/
+rm -rf petsc-3.2-p3
+
+#configure
+cd src
+./config/configure.py \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+	--PETSC_ARCH="$ISSM_ARCH" \
+	--with-batch=1 \
+	--with-debugging=0 \
+	--with-shared-libraries=0 \
+	--known-mpi-shared-libraries=1 \
+	--with-mpi-dir=/usr/local/intel/mpi/4.0.3.008/lib64/ \
+	--with-blas-lapack-dir=/usr/local/intel/mkl/10.1.2.024/lib/64/ \
+	--with-scalapack-lib=/usr/local/intel/mkl/10.1.2.024/lib/64/libmkl_scalapack_lp64.a \
+	--with-scalapack-include=/usr/local/intel/mkl/10.1.2.024/include/ \
+	--with-blacs-lib=/usr/local/intel/mkl/10.1.2.024/lib/64/libmkl_blacs_intelmpi_lp64.a \
+	--with-blacs-include=/usr/local/intel/mkl/10.1.2.024/include/ \
+	--download-mumps=yes \
+	--download-scalapack=no \
+	--download-blacs=no \
+	--download-plapack=yes \
+	--download-parmetis=yes \
+	--with-pic=1
+
+echo "== Follow PETSc's instructions"
Index: issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-linux64-python.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-linux64-python.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-linux64-python.sh	(revision 12878)
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install petsc-3.2-p3 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.2-p3.tar.gz' 'petsc-3.2-p3.tar.gz'
+
+#Untar and move petsc to install directory
+tar -zxvf  petsc-3.2-p3.tar.gz
+mv petsc-3.2-p3/* src/
+rm -rf petsc-3.2-p3
+
+#configure
+cd src
+./config/configure.py \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
+	--with-clanguage=C++ \
+	--PETSC_ARCH=linux-gnu-amd64 \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+	--with-debugging=0 \
+	--with-shared-libraries=1 \
+	--download-mumps=yes \
+	--download-scalapack=yes \
+	--download-blacs=yes \
+	--download-blas=yes \
+	--download-f-blas-lapack=yes \
+	--download-plapack=yes \
+	--download-parmetis=yes \
+	--with-pic=1
+
+#Compile petsc and install it
+make
+make install
Index: issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-linux64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-linux64.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.2-linux64.sh	(revision 12878)
@@ -22,5 +22,5 @@
 	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	--with-debugging=0 \
-	--with-shared-libraries=0 \
+	--with-shared-libraries=1 \
 	--download-mumps=yes \
 	--download-scalapack=yes \
Index: issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.3-linux64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.3-linux64.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.3-linux64.sh	(revision 12878)
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install petsc-3.3-p2 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-lite-3.3-p2.tar.gz' 'petsc-3.3-p2.tar.gz'
+
+#Untar and move petsc to install directory
+tar -zxvf  petsc-3.3-p2.tar.gz
+mv petsc-3.3-p2/* src/
+rm -rf petsc-3.3-p2
+
+#configure
+cd src
+./config/configure.py \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
+	--PETSC_ARCH=linux-gnu-amd64 \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+	--with-debugging=0 \
+	--with-shared-libraries=1 \
+	--download-mumps=yes \
+	--download-scalapack=yes \
+	--download-blacs=yes \
+	--download-blas=yes \
+	--download-f-blas-lapack=yes \
+	--download-plapack=yes \
+	--download-parmetis=yes \
+	--download-metis=yes \
+	--with-pic=1
+
+#Compile petsc and install it
+make
+make install
Index: issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.3-macosx64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.3-macosx64.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/petsc/install-3.3-macosx64.sh	(revision 12878)
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install petsc-3.3-p2 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-lite-3.3-p2.tar.gz' 'petsc-3.3-p2.tar.gz'
+
+#Untar and move petsc to install directory
+tar -zxvf  petsc-3.3-p2.tar.gz
+mv petsc-3.3-p2/* src/
+rm -rf petsc-3.3-p2
+
+#configure
+cd src
+./config/configure.py \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
+	--PETSC_ARCH="macosx-gnu" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+	--with-debugging=0 \
+	--with-shared-libraries=1 \
+	--download-mumps=yes \
+	--download-scalapack=yes \
+	--download-blacs=yes \
+	--download-blas=yes \
+	--download-f-blas-lapack=yes \
+	--download-plapack=yes \
+	--download-parmetis=yes \
+	--download-metis=yes 
+
+#Compile petsc and install it
+make
+make install
Index: issm/branches/trunk-jpl-damage/externalpackages/petsc/install-dev-pleiades.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/petsc/install-dev-pleiades.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/petsc/install-dev-pleiades.sh	(revision 12878)
@@ -0,0 +1,123 @@
+#!/bin/bash
+#Step 0: download
+#Step 1: install before plapack crasehs
+#Step 2: After Plapack implodes
+STEP=0
+
+if [ $STEP -eq 0 ]; then
+	# Adapted from petsc 3.2. 
+	# Used Mercurial to get code
+	rm -rf src
+	hg clone http://petsc.cs.iit.edu/petsc/petsc-dev src
+	cd src
+	hg clone http://petsc.cs.iit.edu/petsc/BuildSystem config/BuildSystem
+fi
+
+# To update (via Mercurial):
+#      cd petsc-dev
+#      hg pull -u
+#      cd config/BuildSystem
+#      hg pull -u
+
+
+# configure script
+# Note: using metis from externalpackages did not work...
+# for now downloading new metis
+#   -then rename metis in externalpackages to metis2
+if [ $STEP -eq 1 ]; then
+
+	mkdir install
+
+	#configure
+	cd src
+	./config/configure.py \
+		--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+		--with-batch=1  \
+		--PETSC_ARCH="$ISSM_ARCH" \
+		--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+		--with-debugging=0 \
+		--with-shared-libraries=0 \
+		--with-blas-lapack-dir=/nasa/intel/mkl/10.0.011/ \
+		--known-mpi-shared-libraries=1 \
+		--with-mpi-lib=/nasa/sgi/mpt/2.04/lib/libmpi.so \
+		--with-mpi-include=/nasa/sgi/mpt/2.04/include  \
+		--download-mumps=yes \
+		--download-plapack=yes \
+		--download-scalapack=yes \
+		--download-blacs=yes  \
+		--download-blas=yes \
+		--download-f-blas-lapack=yes \
+		--download-parmetis=yes \
+		--download-metis=yes \
+		--download-trilinos=yes \
+		--download-euclid=yes \
+		--download-pastix=yes \
+		--download-ptscotch=yes \
+		--download-spooles=yes \
+		--download-spai=yes \
+		--download-superlu=http://crd.lbl.gov/~xiaoye/SuperLU/superlu_4.3.tar.gz \
+		--FFLAGS=-I/usr/include \
+		--with-cc=icc \
+		--with-fc=ifort \
+		--COPTFLAGS=" -O3 -xS" \
+		--FOPTFLAGS=" -O3 -xS" \
+		--CXXOPTFLAGS=" -O3 -xS" \
+		--with-pic=1
+	echo "== Fix Plapack compilation manually (http://issm.jpl.nasa.gov/documentation/faq/petsc32/) =="
+	echo "== Then run STEP=2 =="
+fi
+if [ $STEP -eq 2 ]; then
+	cd src
+	./config/configure.py \
+	 --prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	 --with-batch=1  \
+	 --PETSC_ARCH="$ISSM_ARCH" \
+	 --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+	 --with-debugging=0 \
+	 --with-shared-libraries=0 \
+	 --with-blas-lapack-dir=/nasa/intel/mkl/10.0.011/ \
+	 --with-mpi-lib=/nasa/sgi/mpt/2.04/lib/libmpi.so \
+	 --with-mpi-include=/nasa/sgi/mpt/2.04/include  \
+	 --known-mpi-shared-libraries=1 \
+	 --download-mumps=yes \
+	 --download-scalapack=yes \
+	 --download-blacs=yes  \
+	 --download-blas=yes \
+	 --with-f-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/src/$ISSM_ARCH \
+	 --download-parmetis=yes \
+	 --download-metis=yes \
+	 --with-cxx=icpc \
+	 --download-hypre=yes \
+	 --download-trilinos=yes \
+	 --download-prometheus=yes \
+	 --download-euclid=yes \
+	 --download-pastix=yes \
+	 --download-ptscotch=yes \
+	 --download-spooles=yes \
+	 --download-superlu=http://crd.lbl.gov/~xiaoye/SuperLU/superlu_4.3.tar.gz \
+	 --with-spai-dir=$ISSM_DIR/externalpackages/petsc/src/$ISSM_ARCH \
+	 --with-plapack-dir=$ISSM_DIR/externalpackages/petsc/src/$ISSM_ARCH \
+	 --FFLAGS=-I/usr/include \
+	 --with-cc=icc \
+	 --with-fc=ifort \
+	 --COPTFLAGS=" -O3 -xS" \
+	 --FOPTFLAGS=" -O3 -xS" \
+	 --CXXOPTFLAGS=" -O3 -xS" \
+	 --with-pic=1
+	 cat > script.queue << EOF
+#PBS -S /bin/bash
+#PBS -q debug 
+#PBS -l select=1:ncpus=1:model=har 
+#PBS -l walltime=200 
+#PBS -W group_list=s1010 
+#PBS -m e 
+. /usr/share/modules/init/bash 
+module load comp-intel/11.1.046 
+module load mpi-sgi/mpt.2.04  #DEFINES MPI_Type_create_indexed_block
+module load math/intel_mkl_64_10.0.011 
+export PATH="$PATH:." 
+export MPI_GROUP_MAX=64 
+mpiexec -np 1 ./conftest-linux-gnu-ia64-intel.py
+EOF
+	echo "== Follow PETSc's instructions"
+fi
Index: issm/branches/trunk-jpl-damage/externalpackages/python/install-2.7.2-linux64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/python/install-2.7.2-linux64.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/python/install-2.7.2-linux64.sh	(revision 12878)
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-2.7.2
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-2.7.2.tgz Python-2.7.2.tgz
+
+#exports
+export CC
+
+#Untar and move python into install directory
+tar -zxvf  Python-2.7.2.tgz
+mv Python-2.7.2/* src
+rm -rf Python-2.7.2
+
+#Configure python
+cd src 
+./configure \
+ --prefix="$ISSM_DIR/externalpackages/python/install" \
+ --enable-shared
+
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd ../install/include
+cp python2.7/* ./
+cd ../lib
+ln -s  libpython2.7.so.1.0 libpython.so
Index: issm/branches/trunk-jpl-damage/externalpackages/python/install-2.7.2-macosx-lion.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/python/install-2.7.2-macosx-lion.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/python/install-2.7.2-macosx-lion.sh	(revision 12878)
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-2.7.2
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-2.7.2.tgz Python-2.7.2.tgz
+
+#exports
+export CC
+
+#Untar and move python into install directory
+tar -zxvf  Python-2.7.2.tgz
+mv Python-2.7.2/* src
+rm -rf Python-2.7.2
+
+#Configure and compile
+cd src 
+./configure \
+ --enable-framework="$ISSM_DIR/externalpackages/python/install/Library/Frameworks" 
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd ../install
+
+#get rid of bin, because it's just a copy of
+#Library/Frameworks/Python.framework/Versions/2.7/bin, and will not reflect
+#new changes being made
+rm -rf bin
+ln -s Library/Frameworks/Python.framework/Headers include
+ln -s Library/Frameworks/Python.framework/Versions/2.7/lib lib
+ln -s Library/Frameworks/Python.framework/Versions/2.7/bin bin
+
+#Patch pyport.h:
+cd include
+patch pyport.h $ISSM_DIR/externalpackages/python/patches/pyport.h.patch
Index: issm/branches/trunk-jpl-damage/externalpackages/python/install-2.7.2-macosx-snowleopard.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/python/install-2.7.2-macosx-snowleopard.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/python/install-2.7.2-macosx-snowleopard.sh	(revision 12878)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-2.7.2
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-2.7.2.tgz Python-2.7.2.tgz
+
+#exports
+export CC
+export MACOSX_DEPLOYMENT_TARGET=10.6
+
+#Untar and move python into install directory
+tar -zxvf  Python-2.7.2.tgz
+mv Python-2.7.2/* src
+rm -rf Python-2.7.2
+
+#Configure doxygen
+cd src 
+# --enable-framework needs to have the form "$SOME_PATH/Library/Frameworks" to avoid installing components in /Applications directory
+# --prefix is recognized as $SOME_PATH as long as this form is taken, so it's not necessary to include
+./configure --enable-framework="$ISSM_DIR/externalpackages/python/install/Library/Frameworks" 
+
+#make
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd ../install
+ln -s Library/Frameworks/Python.framework/Headers include
+ln -s Library/Frameworks/Python.framework/Versions/2.7/lib lib
+
+#Patch pyport.h:
+cd include
+patch pyport.h ../patch/pyport.h.patch
Index: issm/branches/trunk-jpl-damage/externalpackages/python/install-3.2.2-linux64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/python/install-3.2.2-linux64.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/python/install-3.2.2-linux64.sh	(revision 12878)
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-3.2.2
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-3.2.2.tgz Python-3.2.2.tgz
+
+#exports
+export CC
+
+#Untar and move python into install directory
+tar -zxvf  Python-3.2.2.tgz
+mv Python-3.2.2/* src
+rm -rf Python-3.2.2
+
+#Configure python
+cd src 
+./configure \
+ --prefix="$ISSM_DIR/externalpackages/python/install" \
+ --enable-shared
+
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd ../install/bin
+ln -s python3.2 python 
+cd ../
+ln -s Python.framework/Versions/3.2/include/python3.2m include
+ln -s Python.framework/Versions/3.2/lib/ lib
Index: issm/branches/trunk-jpl-damage/externalpackages/python/install-3.2.2-macosx-lion.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/python/install-3.2.2-macosx-lion.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/python/install-3.2.2-macosx-lion.sh	(revision 12878)
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-3.2.2
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-3.2.2.tgz Python-3.2.2.tgz
+
+#exports
+export CC
+
+#Untar and move python into install directory
+tar -zxvf  Python-3.2.2.tgz
+mv Python-3.2.2/* src
+rm -rf Python-3.2.2
+
+#Configure doxygen
+cd src 
+./configure \
+ --enable-framework="$ISSM_DIR/externalpackages/python/install/Library/Frameworks" 
+
+#obsolete? 
+#./configure --prefix="$ISSM_DIR/externalpackages/python/install" --enable-framework="$ISSM_DIR/externalpackages/python/install"
+
+#make
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd install/bin
+ln -s python3.2 python 
+cd ../
+ln -s Python.framework/Versions/3.2/include/python3.2m include
+ln -s Python.framework/Versions/3.2/lib/ lib
Index: issm/branches/trunk-jpl-damage/externalpackages/python/install-3.2.2-macosx-snowleopard.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/python/install-3.2.2-macosx-snowleopard.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/python/install-3.2.2-macosx-snowleopard.sh	(revision 12878)
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-3.2.2
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-3.2.2.tgz Python-3.2.2.tgz
+
+#exports
+export CC
+export MACOSX_DEPLOYMENT_TARGET=10.6
+
+#Untar and move python into install directory
+tar -zxvf  Python-3.2.2.tgz
+mv Python-3.2.2/* src
+rm -rf Python-3.2.2
+
+#Configure doxygen
+cd src 
+# --enable-framework needs to have the form "$SOME_PATH/Library/Frameworks" to avoid installing components in /Applications directory
+# --prefix is recognized as $SOME_PATH as long as this form is taken, so it's not necessary to include
+./configure \
+ --enable-framework="$ISSM_DIR/externalpackages/python/install/Library/Frameworks" 
+
+#make
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd install/bin
+ln -s python3.2 python 
+cd ../
+ln -s Python.framework/Versions/3.2/include/python3.2m include
+ln -s Python.framework/Versions/3.2/lib/ lib
Index: issm/branches/trunk-jpl-damage/externalpackages/python/patches/pyport.h.patch.bugreport
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/python/patches/pyport.h.patch.bugreport	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/python/patches/pyport.h.patch.bugreport	(revision 12878)
@@ -0,0 +1,1 @@
+http://bugs.python.org/issue10910
Index: issm/branches/trunk-jpl-damage/externalpackages/scipy/README
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/scipy/README	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/scipy/README	(revision 12878)
@@ -1,2 +1,9 @@
-You will find instructions on scipy at: 
+For OSX 10.7 (Lion), the instructions here can be followed:  
 http://www.scipy.org/Installing_SciPy/Mac_OS_X
+
+For OSX 10.6 (Snow Leopard), the scipy folks recommend gcc and g++ version 4.0.
+However, ISSM needs the gfortran version recommended in $ISSM_DIR/externalpackages/gfortran.
+On the webpage listed above, make sure the "export CC" and "export CXX" commands point to the 
+binaries associated with this gfortran version (likely in /usr/local/gfortran/bin by default).
+Once this gfortran is installed, the install script in this directory for Snow Leopard should
+work.
Index: issm/branches/trunk-jpl-damage/externalpackages/scipy/install-linux64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/scipy/install-linux64.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/scipy/install-linux64.sh	(revision 12878)
@@ -1,3 +1,5 @@
 #!/bin/bash
+PYVERSION=2.7
+PYTHON=python${PYVERSION}
 
 #1: install numpy
@@ -25,4 +27,7 @@
 	python setup.py build
 	python setup.py install
+	cd ..
+	${PYTHON} -c "import numpy; print 'Installed NumPy', numpy.__version__"
+	${PYTHON} -c "import numpy; numpy.test()"
 
 	
@@ -42,4 +47,7 @@
 	python setup.py build
 	python setup.py install
+	cd ..
+	${PYTHON} -c "import scipy; print 'Installed SciPy', scipy.__version__"
+	${PYTHON} -c "import scipy; scipy.test()"
 
 elif [[ $install == "3" ]];then 
Index: issm/branches/trunk-jpl-damage/externalpackages/scipy/install-macosx-snowleopard.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/scipy/install-macosx-snowleopard.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/scipy/install-macosx-snowleopard.sh	(revision 12878)
@@ -8,6 +8,8 @@
 install=2
 
-export CC=/usr/bin/gcc-4.0
-export CXX=/usr/bin/g++-4.0
+# gfortran 4.6 (see ISSM_DIR/externalpackages/gfortran) is necessary for ISSM compilation.
+# On OSX 10.6, this recommended version gets installed in /usr/local/gfortran 
+export CC=/usr/local/gfortran/bin/gcc
+export CXX=/usr/local/gfortran/bin/g++
 
 if [[ $install == "1" ]];then 
@@ -22,4 +24,5 @@
 	cd ..
 	${PYTHON} -c "import numpy; print 'Installed NumPy', numpy.__version__"
+	${PYTHON} -c "import numpy; numpy.test()"
 	
 elif [[ $install == "2" ]];then 
@@ -34,4 +37,5 @@
 	cd ..
 	${PYTHON} -c "import scipy; print 'Installed SciPy', scipy.__version__"
+	${PYTHON} -c "import scipy; scipy.test()"
 
 elif [[ $install == "3" ]];then 
Index: issm/branches/trunk-jpl-damage/externalpackages/tao/install-2.0.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/tao/install-2.0.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/tao/install-2.0.sh	(revision 12878)
@@ -0,0 +1,23 @@
+#!/bin/bash
+#http://www.mcs.anl.gov/research/projects/tao/download/index.html
+
+#Compatible with PETSc 3.2
+
+#Some cleanup
+rm -rf install tao-2.0-p3
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/tao-2.0-p3.tar.gz' 'tao-2.0-p3.tar.gz'
+
+#Untar 
+tar -zxvf  tao-2.0-p3.tar.gz
+
+#move into place
+mv tao-2.0-p3/* install/
+rm -rf tao-2.0-p3
+cd install
+export TAO_DIR="$ISSM_DIR/externalpackages/tao/install/"
+
+#petsc needs to be compiled with --with-clanguage=C++
+make
Index: issm/branches/trunk-jpl-damage/externalpackages/tao/install-2.1.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/tao/install-2.1.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/tao/install-2.1.sh	(revision 12878)
@@ -0,0 +1,23 @@
+#!/bin/bash
+#http://www.mcs.anl.gov/research/projects/tao/download/index.html
+
+#compatible with PETSc 3.3
+
+#Some cleanup
+rm -rf install tao-2.1-p0
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/tao-2.1-p0.tar.gz' 'tao-2.1-p0.tar.gz'
+
+#Untar 
+tar -zxvf  tao-2.1-p0.tar.gz
+
+#move into place
+mv tao-2.1-p0/* install/
+rm -rf tao-2.1-p0
+cd install
+export TAO_DIR="$ISSM_DIR/externalpackages/tao/install/"
+
+#petsc needs to be compiled with --with-clanguage=C++
+make
Index: issm/branches/trunk-jpl-damage/externalpackages/tcl/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/tcl/install.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/tcl/install.sh	(revision 12878)
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src
+rm -rf install
+rm -rf tcl8.5.11
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/tcl8.5.11.tar.gz' 'tcl8.5.11.tar.gz'
+
+#Untar 
+tar -zxvf  tcl8.5.11.tar.gz
+
+#Move tcl into src directory
+mv tcl8.5.11/* src
+rm -rf tcl8.5.11
+
+#Configure tcl
+ver="8.4.12"
+
+cd src
+make -C ./macosx install INSTALL_ROOT="$ISSM_DIR/externalpackages/tcl/install"
Index: issm/branches/trunk-jpl-damage/externalpackages/tclx/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/tclx/install.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/tclx/install.sh	(revision 12878)
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src
+rm -rf install
+rm -rf tclx8.4
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/tclx8.4.tar.gz' 'tclx8.4.tar.gz'
+
+#Untar 
+tar -zxvf  tclx8.4.tar.gz
+
+#Move tclx into src directory
+mv tclx8.4/* src
+rm -rf tclx8.4
+
+#Configure tclx
+cd src
+./configure --prefix="$ISSM_DIR/externalpackages/tclx/install"  \
+			--exec-prefix="$ISSM_DIR/externalpackages/tclx/install"  \
+	        --with-tcl=$ISSM_DIR/externalpackages/tcl/install/Library/Frameworks/Tcl.framework
+
+#Compile and install tclx
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
Index: issm/branches/trunk-jpl-damage/externalpackages/triangle/configs/android/configure.make
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/triangle/configs/android/configure.make	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/triangle/configs/android/configure.make	(revision 12878)
@@ -0,0 +1,20 @@
+# This makefile configures build process to cross-compile to the android platform.
+# The binary tools referenced below are specifically configured to target armeabi-v7a.
+# Furthermore, the compilers (which are simply wrappers around GNU GCC) are set to
+# produce binaries that are EABI compliant.
+#
+# Note that the AAPCS standard defines 'EABI' as a moniker used to specify
+# a _family_ of similar but distinct ABIs. Android follows the little-endian
+# ARM GNU/Linux ABI as documented in the following document:
+#
+# http://www.codesourcery.com/gnu_toolchains/arm/arm_gnu_linux_abi.pdf
+
+source $ANDROID_DIR/android_aux.sh
+
+CC=${toolchain_path}-gcc
+AR=${toolchain_path}-ar
+RANLIB=${toolchain_path}-ranlib
+CSWITCHES = $(CFLAGS)
+TRILIBDEFS = -DTRILIBRARY
+OBJ_EXT=o
+LIB_EXT=a
Index: issm/branches/trunk-jpl-damage/externalpackages/triangle/install-android.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/triangle/install-android.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/triangle/install-android.sh	(revision 12878)
@@ -0,0 +1,34 @@
+#!/bin/bash
+source $ANDROID_DIR/android_aux.sh
+
+# use matlab? 
+matlab=0
+
+# Some cleanup 
+rm -rf install triangle
+mkdir install
+
+# Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/triangle.zip' 'triangle.zip'
+
+# Untar 
+cd install
+cp ../triangle.zip ./
+unzip triangle.zip
+
+# copy new makefile
+cp ../configs//android/configure.make ./
+cp ../makefile ./
+
+# Patch triangle.c 
+if [[ $matlab == "1" ]];then
+	patch triangle.c ../triangle.c.patch.matlab
+else
+	patch triangle.c ../triangle.c.patch.python
+fi
+
+# Compile triangle
+make -j $j
+
+# Patch triangle.h
+patch triangle.h ../triangle.h.patch
Index: issm/branches/trunk-jpl-damage/externalpackages/triangle/install-discover.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/triangle/install-discover.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/triangle/install-discover.sh	(revision 12878)
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+#Some cleanup 
+rm -rf install triangle
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/triangle.zip' 'triangle.zip'
+
+#Untar 
+cd install
+cp ../triangle.zip ./
+unzip triangle.zip
+
+#copy new makefile
+cp ../configs/pleiades/configure.make ./
+cp ../makefile ./
+
+#Patch triangle.c 
+patch triangle.c ../triangle.c.patch
+
+#Compile triangle
+make
+
+#Patch triangle.h
+patch triangle.h ../triangle.h.patch
Index: issm/branches/trunk-jpl-damage/externalpackages/triangle/install-macosx64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/triangle/install-macosx64.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/triangle/install-macosx64.sh	(revision 12878)
@@ -1,7 +1,3 @@
 #!/bin/bash
-
-#use matlab? 
-matlab=0
-
 
 #Some cleanup 
@@ -22,9 +18,5 @@
 
 #Patch triangle.c 
-if [[ $matlab == "1" ]];then
-	patch triangle.c ../triangle.c.patch.matlab
-else
-	patch triangle.c ../triangle.c.patch.python
-fi
+patch triangle.c ../triangle.c.patch
 
 #Compile triangle
Index: issm/branches/trunk-jpl-damage/externalpackages/vim/addons/vim/syntax/Synchronize.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/vim/addons/vim/syntax/Synchronize.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/vim/addons/vim/syntax/Synchronize.sh	(revision 12878)
@@ -6,5 +6,5 @@
 cat c.vim | sed "/ISSM's Enums begin/,/vim: ts=8/d" > temp
 echo "\"ISSM's Enums begin" >> temp
-cat ../../../../../src/c/EnumDefinitions/EnumDefinitions.h | grep -e "[0-9]Enum," -e "[Aa-Zz]Enum," | grep -v StringToEnum | sed -e "s/,//g" | awk '{ printf "syn keyword cConstant " $1 "\n"}' >> temp
+cat ../../../../../src/c/EnumDefinitions/EnumDefinitions.h | grep -e "[0-9]Enum," -e "[aA-zZ]Enum," | grep -v StringToEnum | sed -e "s/,//g" | awk '{ printf "syn keyword cConstant " $1 "\n"}' >> temp
 echo "\"ISSM's Enums end" >> temp
 cat c.vim | sed "1,/ISSM's Enums end/d" >> temp
